
#property copyright " 2011 BJF Trading Group"
#property link      "www.iticsoftware.com"

#define vers   "1.2.1"

//#property indicator_chart_window
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Pink
#property indicator_width1 1 

extern int MAZTF1 = PERIOD_H4;
extern int MAZPeriod1 = 10;
extern int MAZma_shift1 = 0;
extern int MAZma_method1 = MODE_SMA;
extern int MAZapplied_price1 = PRICE_CLOSE;

double MABuf[];

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

void init()
{
  SetIndexBuffer(0, MABuf);
  SetIndexStyle(0, DRAW_LINE);
  SetIndexEmptyValue(0, 0.0);
  SetIndexDrawBegin(0, MAZPeriod1);
}

void deinit()
{
}

void start()
{
  int counted_bars = IndicatorCounted();
  if(counted_bars < 0) return;
  if(counted_bars > 0) counted_bars--;

  int limit = Bars-counted_bars;
  limit += MAZTF1/Period();

  for (int i=limit; i >= 0; i--)
  {
    int shift = iBarShift(NULL, MAZTF1, Time[i], true);
    if (shift == -1) continue;
    
    MABuf[i] = iMA(NULL, MAZTF1, MAZPeriod1, MAZma_shift1, MAZma_method1, MAZapplied_price1, shift);
  }
}